PULSAR
API ReferenceMachine Status

Get Node System Status Logs

Get the per-minute MQTT/WiFi status timeline for a machine's node(s) over a date range (defaults to the last 7 days).

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Query Parameters

machineId*number

The machine's ID.

Formatdouble
start?string

The start of the date range to filter by.

Formatdate-time
end?string

The end of the date range to filter by.

Formatdate-time

Response Body

application/json

Try it live
GET
/machines/node-system-status-logs

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X GET "https://example.com/machines/node-system-status-logs?machineId=0.1"
{  "data": [    {      "mqtt": [        0      ],      "wifi": [        0      ],      "intervalSeconds": 0.1,      "start": "string",      "nodeId": 0.1    }  ]}